%define name ttf-arphic_bkai
%define filename bkai00mp.ttf
%define encoding big5
%define obsolete ttf-moe_kai
Summary: Arphic TrueType Font -- Big5 kai face
Name: %{name}
Version: 2.11
Release: 2tc1

Copyright: Arphic Public License (GPL-like)
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor: Red Hat, Inc.
Group: User Interface/X
Source: ftp://cle.linux.org.tw/pub/fonts/arphic/font/%{filename}
Provides: ttf-%{encoding}
#Requires: ttfm
Obsoletes: %{obsolete}
Buildroot: /var/tmp/%{name}-root
BuildArchitectures: noarch        

%description
Chinese TTF Fonts donated by Arphic company.
Read the Arphic Public License for details.

%description -l zh_TW
幩ީҮت TrueType rC\ۥѽƻsAקAyǡC
Ӹ`аѦҤ幩vѪC

%prep
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/ttf

%install
cp -pf %{SOURCE0} $RPM_BUILD_ROOT/usr/share/fonts/ttf

%post
[ "$1" = 1 -a -x /usr/sbin/ttfm.sh ] && \
    /usr/sbin/ttfm.sh --add /usr/share/fonts/ttf/%{filename} > /dev/null 2>&1
exit 0

%preun
[ "$1" = 0 -a -x /usr/sbin/ttfm.sh ] && \
    KEEP_FONT=1 /usr/sbin/ttfm.sh --remove %{filename} > /dev/null 2>&1
exit 0

%files
%attr(0644, root, root) /usr/share/fonts/ttf/%{filename}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.11

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- fix bug in %post and %preun script

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
